#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: statping/statping
  # -- image tag
  tag: "v0.90.74"
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [application docs](https://github.com/statping/statping/wiki/Config-with-.env-File) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Name of the Statping instance
  NAME: Statping Example
  # -- Description of the Statping instance
  DESCRIPTION: This is a Statping instance deployed as Helm chart
  # -- External URL you use to connect to the statping (the one you enter in your browser)
  VIRTUAL_HOST: ""
  # -- Type of database to use
  DB_CONN: postgres
  # -- Postgres database hostname
  # @default -- internal postgresql URL
  DB_HOST: '{{ include "common.names.fullname" .}}-postgresql'
  # -- Enable ssl_mode for postgres (To enable use `require`)
  POSTGRES_SSLMODE: "disable"
  # -- Postgres database user name
  DB_USER: "postgres"
  # -- Postgres database password
  DB_PASS: "{{ .Values.postgresql.auth.postgresPassword }}"
  # -- Postgres database name
  DB_DATABASE: "{{ .Values.postgresql.auth.database }}"
  # -- Use CDN for static context from third-parties
  USE_CDN: false
  # -- Disable logs from appearing and writing to disk
  DISABLE_LOGS: false
  # -- dashboard admin user (needed to edit)
  # ADMIN_USER: admin
  # -- dashboard admin password (needed to edit)
  # ADMIN_PASSWORD: admin
  # -- dashboard admin email
  # ADMIN_EMAIL: info@example.com

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 8080

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  data:
    enabled: false
    mountPath: /app

# -- Enable and configure postgresql database subchart under this key.
#    For more options see [postgresql chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/postgresql)
# @default -- See values.yaml
postgresql:
  enabled: true
  auth:
    postgresPassword: "changeme"
    database: postgres
  persistence:
    enabled: false
    # storageClass: ""
    # size: 8Gi
